<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../index-all.html">Index</a></li>
        <li><a href="../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../index.html?org/apache/poi/package-use.html" target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi" class="title">Uses of Package<br>org.apache.poi</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../org/apache/poi/package-summary.html">org.apache.poi</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi">org.apache.poi</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.extractor">org.apache.poi.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hdgf">org.apache.poi.hdgf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpbf">org.apache.poi.hpbf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpsf">org.apache.poi.hpsf</a></td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpsf.extractor">org.apache.poi.hpsf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.exceptions">org.apache.poi.hslf.exceptions</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf">org.apache.poi.hsmf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf">org.apache.poi.hssf</a></td>
                    <td class="colLast">
                        <div class="block">Horrible SpreadSheet Format API's for reading/writting Excel files using pure
                            Java.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf">org.apache.poi.hwpf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.openxml4j.exceptions">org.apache.poi.openxml4j.exceptions</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.filesystem">org.apache.poi.poifs.filesystem</a>
                    </td>
                    <td class="colLast">
                        <div class="block">filesystem package maps OLE 2 Compound document files to a more familiar
                            filesystem interface.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.usermodel">org.apache.poi.sl.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.util">org.apache.poi.util</a></td>
                    <td class="colLast">
                        <div class="block">Top-level util package are classes that are useful throughout the project.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf">org.apache.poi.xssf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/package-summary.html">org.apache.poi</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a href="../../../org/apache/poi/class-use/POIDocument.html#org.apache.poi">POIDocument</a>
                        <div class="block">This holds the common functionality for all POI
                            Document classes.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/UnsupportedFileFormatException.html#org.apache.poi">UnsupportedFileFormatException</a>
                        <div class="block">Base class of all the exceptions that POI throws in the event
                            that it's given a file that isn't supported
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/extractor/package-summary.html">org.apache.poi.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/POIDocument.html#org.apache.poi.extractor">POIDocument</a>
                        <div class="block">This holds the common functionality for all POI
                            Document classes.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hdgf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/hdgf/package-summary.html">org.apache.poi.hdgf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a href="../../../org/apache/poi/class-use/POIDocument.html#org.apache.poi.hdgf">POIDocument</a>
                        <div class="block">This holds the common functionality for all POI
                            Document classes.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/POIReadOnlyDocument.html#org.apache.poi.hdgf">POIReadOnlyDocument</a>
                        <div class="block">This holds the common functionality for all read-only
                            POI Document classes, i.e.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hpbf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/hpbf/package-summary.html">org.apache.poi.hpbf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a href="../../../org/apache/poi/class-use/POIDocument.html#org.apache.poi.hpbf">POIDocument</a>
                        <div class="block">This holds the common functionality for all POI
                            Document classes.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/POIReadOnlyDocument.html#org.apache.poi.hpbf">POIReadOnlyDocument</a>
                        <div class="block">This holds the common functionality for all read-only
                            POI Document classes, i.e.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hpsf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a href="../../../org/apache/poi/class-use/POIDocument.html#org.apache.poi.hpsf">POIDocument</a>
                        <div class="block">This holds the common functionality for all POI
                            Document classes.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hpsf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/hpsf/extractor/package-summary.html">org.apache.poi.hpsf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/POIDocument.html#org.apache.poi.hpsf.extractor">POIDocument</a>
                        <div class="block">This holds the common functionality for all POI
                            Document classes.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hslf.exceptions">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/hslf/exceptions/package-summary.html">org.apache.poi.hslf.exceptions</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/EncryptedDocumentException.html#org.apache.poi.hslf.exceptions">EncryptedDocumentException</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/OldFileFormatException.html#org.apache.poi.hslf.exceptions">OldFileFormatException</a>
                        <div class="block">Base class of all the exceptions that POI throws in the event
                            that it's given a file that's older than currently supported.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/UnsupportedFileFormatException.html#org.apache.poi.hslf.exceptions">UnsupportedFileFormatException</a>
                        <div class="block">Base class of all the exceptions that POI throws in the event
                            that it's given a file that isn't supported
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/POIDocument.html#org.apache.poi.hslf.usermodel">POIDocument</a>
                        <div class="block">This holds the common functionality for all POI
                            Document classes.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hsmf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/hsmf/package-summary.html">org.apache.poi.hsmf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a href="../../../org/apache/poi/class-use/POIDocument.html#org.apache.poi.hsmf">POIDocument</a>
                        <div class="block">This holds the common functionality for all POI
                            Document classes.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/POIReadOnlyDocument.html#org.apache.poi.hsmf">POIReadOnlyDocument</a>
                        <div class="block">This holds the common functionality for all read-only
                            POI Document classes, i.e.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/hssf/package-summary.html">org.apache.poi.hssf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/OldFileFormatException.html#org.apache.poi.hssf">OldFileFormatException</a>
                        <div class="block">Base class of all the exceptions that POI throws in the event
                            that it's given a file that's older than currently supported.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/UnsupportedFileFormatException.html#org.apache.poi.hssf">UnsupportedFileFormatException</a>
                        <div class="block">Base class of all the exceptions that POI throws in the event
                            that it's given a file that isn't supported
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/POIDocument.html#org.apache.poi.hssf.usermodel">POIDocument</a>
                        <div class="block">This holds the common functionality for all POI
                            Document classes.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/hwpf/package-summary.html">org.apache.poi.hwpf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/OldFileFormatException.html#org.apache.poi.hwpf">OldFileFormatException</a>
                        <div class="block">Base class of all the exceptions that POI throws in the event
                            that it's given a file that's older than currently supported.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a href="../../../org/apache/poi/class-use/POIDocument.html#org.apache.poi.hwpf">POIDocument</a>
                        <div class="block">This holds the common functionality for all POI
                            Document classes.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/UnsupportedFileFormatException.html#org.apache.poi.hwpf">UnsupportedFileFormatException</a>
                        <div class="block">Base class of all the exceptions that POI throws in the event
                            that it's given a file that isn't supported
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.openxml4j.exceptions">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/UnsupportedFileFormatException.html#org.apache.poi.openxml4j.exceptions">UnsupportedFileFormatException</a>
                        <div class="block">Base class of all the exceptions that POI throws in the event
                            that it's given a file that isn't supported
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.poifs.filesystem">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/UnsupportedFileFormatException.html#org.apache.poi.poifs.filesystem">UnsupportedFileFormatException</a>
                        <div class="block">Base class of all the exceptions that POI throws in the event
                            that it's given a file that isn't supported
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.sl.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/EncryptedDocumentException.html#org.apache.poi.sl.usermodel">EncryptedDocumentException</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/EncryptedDocumentException.html#org.apache.poi.ss.usermodel">EncryptedDocumentException</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.util">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/util/package-summary.html">org.apache.poi.util</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/EmptyFileException.html#org.apache.poi.util">EmptyFileException</a>
                        <div class="block">Exception thrown if an Empty (zero byte) file is supplied</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a href="../../../org/apache/poi/class-use/POIDocument.html#org.apache.poi.util">POIDocument</a>
                        <div class="block">This holds the common functionality for all POI
                            Document classes.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../org/apache/poi/package-summary.html">org.apache.poi</a> used by <a
                        href="../../../org/apache/poi/xssf/package-summary.html">org.apache.poi.xssf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../org/apache/poi/class-use/UnsupportedFileFormatException.html#org.apache.poi.xssf">UnsupportedFileFormatException</a>
                        <div class="block">Base class of all the exceptions that POI throws in the event
                            that it's given a file that isn't supported
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../index-all.html">Index</a></li>
        <li><a href="../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../index.html?org/apache/poi/package-use.html" target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
